
		.cms_contents_menu td
		{
			border-bottom: 1px #aaa dotted;
		}
		.cms_contents_submenu td
		{
			font-weight:bold;
			font-size:11px;
			color:#357;
		}
		
		.cms_contents_menu_title
		{
			font-weight:bold;
			font-size:13px;
			color:#357;
		}
		.cms_contents_menu_sublabel
		{
			font-weight:bold;
			font-size:11px;
			color:#123;
		}
		.cms_calendar
		{
			text-align:center;
			border-left:  1px #bbb solid;
			border-top: 1px #bbb solid;
		    font-size:10px;
		}
		.cms_calendar td
		{
			text-align:center;
			display:inline;
			border-right:  1px #bbb solid;
			border-bottom: 1px #bbb solid;
		    font-size:10px;
		}
		.cms_calendar_header td
		{
			font-weight:bold;
		}
		.cms_calendar_weekdays td
		{
			font-weight:bold;
		}
		
		
		.tab_container
		{
			position:relative;
			width:100%;
			height:50px;
			background:url(<%=m_strCurResRoot%>tabs/tab_bump_mid_baseline.png) transparent repeat-x bottom;
			text-align:center;
			margin:0px;
			padding:0px;
		}

		
		.tab_sel
		{
			position:relative;
			display: table-cell;
			width:120px;
			height:50px;
			background:url(<%=m_strCurResRoot%>tabs/tab_bump_mid_sel.png) #fff no-repeat bottom;
			font-weight:bold;
			color:#36f;
			margin:0px;
			padding:0px;
			padding-bottom:11px;
			vertical-align: bottom;
			text-align: center;
			font-size:  15px;
			font-variant:small-caps;
			border:0px grey solid;
		}

		.tab_unsel a:hover
		{
			color:#36f;
		}
		.tab_unsel a
		{
			color:#99a;
		}

		.tab_unsel
		{
			position:relative;
			display: table-cell;
			width:120px;
			height:50px;
			background:url(<%=m_strCurResRoot%>tabs/tab_bump_mid_unsel.png) #fff no-repeat bottom;
			font-weight:bold;
			color:#aab;
			margin:0px;
			padding:0px;
			padding-bottom:11px;
			vertical-align: bottom;
			text-align: center;
			font-size:  15px;
			font-variant:small-caps;
			border:0px grey solid;
		}
		
		
		a
		{
			text-decoration: none !important;
		}
		
		.cms_contents_menu_label, a .cms_contents_menu_label
		{
			font-family:Arial,Tahoma !important;
			font-size:  12px !important;
			font-weight:bold;
			color:#37D;
			text-decoration: none !important;
		}
		
		.cms_contents_submenu_label, a .cms_contents_submenu_label
		{
			font-family:Arial,Tahoma !important;
			font-size:  11px !important;
			font-weight:bold;
			color:#789;
			text-decoration: none !important;
		}
		
		.cms_contents_submenu_label:hover
		{
			color:#36E;
		}
		
		.cms_type_box_selected .sys_image_overlay_bg
		{
			//filter: sepia( 50% );
			
			filter:drop-shadow(5px 5px 8px #D42);
		}
		
		.cms_type_box_selected .sys_image_overlay_caption
		{
			//filter: sepia( 50% );
			
			color: #D42;
		}
		
		
		.sys_image_overlay_caption
		{
			color: #000;
		}
		


.sys_grid_collection td
{
	border-left:  1px solid grey;	
	border-bottom:1px solid grey;	
	padding:3px;
}
.sys_grid_collection tr td:first-child
{
	border-left:  0px solid grey;
}
.sys_grid_collection tr:first-child td
{
	border-left:  0px solid grey;	
	border-bottom:0px solid grey;	
}
.sys_grid_collection tr td:nth-child(2)
{
}
.sys_grid_collection tr:last-child td
{
	border-bottom:0px solid grey;	
}
.sys_grid_collection tr:nth-last-child(2) td
{
}

SELECT
{
    FONT-SIZE: 12px;
    COLOR: #336699
}
INPUT
{
    FONT-SIZE: 12px;
    COLOR: royalblue
}
INPUT::selection 
{
  background: yellow;
}

TEXTAREA
{
    FONT-SIZE: 12px;
    COLOR: royalblue;
    FONT-FAMILY: Arial
}
A
{
    COLOR: #2d4155;
    TEXT-DECORATION: none
}
.detail_table
{
    BORDER-RIGHT: lightslategray;
    BORDER-TOP: lightslategray;
    FONT-SIZE: 12px;
    BORDER-LEFT: lightslategray;
    BORDER-BOTTOM: lightslategray;
    FONT-FAMILY: Arial
}
.list_table
{
    PADDING-RIGHT: 0px;
    PADDING-LEFT: 0px;
    FONT-SIZE: 11px;
    PADDING-BOTTOM: 0px;
    PADDING-TOP: 0px;
    FONT-FAMILY: Arial
}
.list_row
{
    BORDER-RIGHT: lightslategray 1px solid;
    BORDER-TOP: medium none;
    MARGIN: 0px;
    BORDER-LEFT: medium none;
    BORDER-BOTTOM: lightslategray 1px solid
}
.detail_row_name
{
    BORDER-RIGHT: lightslategray 1px solid;
    PADDING-RIGHT: 5px;
    PADDING-LEFT: 5px;
    PADDING-BOTTOM: 5px;
    MARGIN: 20px;
    TEXT-TRANSFORM: capitalize;
    COLOR: #607080;
    PADDING-TOP: 5px;
    BORDER-BOTTOM: cornflowerblue 1px solid;
    FONT-VARIANT: normal
}
.detail_row_value
{
    PADDING-RIGHT: 5px;
    PADDING-LEFT: 5px;
    PADDING-BOTTOM: 5px;
    MARGIN: 20px;
    COLOR: royalblue;
    PADDING-TOP: 5px;
    BORDER-BOTTOM: cornflowerblue 1px solid
}
.stat_row_name
{
    BORDER-RIGHT: lightslategray 1px solid;
    BORDER-TOP: cornflowerblue;
    BORDER-LEFT: cornflowerblue;
    COLOR: royalblue;
    BORDER-BOTTOM: cornflowerblue 1px solid;
    TEXT-ALIGN: center;
    FONT-VARIANT: small-caps
}
.stat_row_value
{
    BORDER-RIGHT: lightslategray 1px solid;
    BORDER-TOP: cornflowerblue 1px;
    BORDER-LEFT: cornflowerblue 1px;
    COLOR: #505f96;
    BORDER-BOTTOM: cornflowerblue 1px solid
}
.stat_table
{
    BORDER-RIGHT: black thin;
    BORDER-TOP: black thin;
    FONT-SIZE: 11px;
    BORDER-LEFT: black thin;
    COLOR: black;
    BORDER-BOTTOM: black thin;
    FONT-FAMILY: Arial
}
A:hover
{
    COLOR: dodgerblue;
    TEXT-DECORATION: underline
}
.list_row_susp
{
    BORDER-RIGHT: lightslategray 1px;
    MARGIN: 0px;
    BORDER-BOTTOM: lightslategray 1px solid;
    BACKGROUND-COLOR: #ffff99
}
.field_value_link
{
    FONT-WEIGHT: bold;
    COLOR: #0066ff
}
.field_value
{
    FONT-WEIGHT: bold;
    COLOR: #0066ff
}
.field_disabled
{
    COLOR: #c0c0c0
}
.list_head
{
    BORDER-RIGHT: lightslategray 1px solid;
    BORDER-TOP: medium none;
    FONT-WEIGHT: bold;
    MARGIN: 0px;
    VERTICAL-ALIGN: top;
    BORDER-LEFT: medium none;
    COLOR: #0066cc;
    BORDER-BOTTOM: lightslategray 1px solid;
}

.list_head:last-child, 
.list_row_0:last-child, 
.list_row_1:last-child
{
    BORDER-RIGHT: lightslategray 0px solid;
}

.list_row_0
{
    BORDER-RIGHT: lightslategray 1px solid;
    BORDER-TOP: 1px;
    MARGIN: 0px;
    BORDER-LEFT: 1px;
    BORDER-BOTTOM: lightslategray 1px solid;
    BACKGROUND-COLOR: #f0f5fc
}

.list_row_1
{
    BORDER-RIGHT: lightslategray 1px solid;
    BORDER-TOP: lightslategray;
    MARGIN: 0px;
    BORDER-LEFT: lightslategray;
    BORDER-BOTTOM: lightslategray 1px solid
}



.sys_search_grid_button_filter
{
	position:relative;
	float:left;
	width:120px;
	padding-left:5px;
	padding-bottom:4px;
	border-left:1px dotted #abd;
	border-bottom:1px solid #abd;
}

.sys_search_grid_button_icon
{
	width:auto;
	text-align:center;
	border-right:1px #0055FF solid;
}

.sys_search_grid_button_link 
{
	padding-left:5px;
	padding-right:5px;
	border-left:1px dotted grey;
}


        .sys-frame
		{
		  position: relative;
          padding:5px;
		  margin:3px;
		  
		  background-color: #FFFFFF;
		  
		  box-shadow:  0px 0px 5px 1px #889;
		  
		  border-style: outset ;
          border-top:   0px #CCD solid;
		  border-right: 1px #CCD solid;
		  border-left:  1px #CCD solid;
		  border-bottom:1px #CCD solid;
		  
		  border-radius:5px;
		}
		
		.sys-select
		{
		  width: 160px;
		}
		

		.sys-tabs-container
		{
          background-color: #99CCFF;
          border: 1px solid #98C0F0;
          padding-top:    10px;
          padding-bottom: 10px;
          padding-left:   10px;
          padding-right:  10px;
          width:  calc(100% -5px);
          min-height: 100px;
          height: auto;
		  box-shadow:  inset 0px 0px 3px 0px #889;
  		  border-radius:3px;

		  align-items: center;
		}
		
		.sys-tabs-frame-cyan
		{
          background-color: #99CCFF;
          border: 1px solid #98C0F0;
          padding-top:    10px;
          padding-bottom: 10px;
          padding-left:   10px;
          padding-right:  10px;
          width:  calc(100% -5px);
          min-height: 100px;
          height: auto;

		  align-items: center;
		}

		.sys-tabs-frame
		{
          background-color: #9AC2E6;
          border: 1px solid #98C0F0;
          padding-top:    10px;
          padding-bottom: 10px;
          padding-left:   10px;
          padding-right:  10px;
          width:  calc(100% -5px);
          min-height: 100px;
          height: auto;

		  align-items: center;
		}

        .sys-tabs-caption-label
		{
		  font-weight: bold;
		  font-family: verdana;
		  font-size: 16px;
          color: white;
          text-shadow: 0px 0px 2px #224;
		}
        .sys-tabs-caption
		{
		  position: relative;
		  width: 100%;
          height: auto;
          border: 0px solid red;
		  text-align:center;
          margin-top: -5px;
          padding-bottom: 5px;
		}

		
		.sys-tabs-headers
		{
          border: 0px solid green;
          width: 100% -16px;
		  padding-left:  13px;
          padding-right: 3px;

          display: flex;
          flex-direction: row;
          justify-content: center;
          align-items: stretch; 
          align-content: center;
  
        }
        .sys-tab-header
		{
		  position: relative;
          min-width:  30px ;
          min-height: 20px ;
          margin-right: 10px;
 		  padding-left:  5px;
          padding-right: 5px;
          padding-top:   5px;
          padding-bottom:10px;
          flex-grow:1;
          flex-shrink: 1;
 
		  display:     flex;
          align-items: top;
		  text-align:  center;
		  justify-content: center;
        
		  font-family:verdana;
		  font-size:  11px;
		  background-color: #FFFFFF;
		  border-top:   2px #CCD solid;
		  border-right: 2px #EEF solid;
		  border-left:  1px #AAB solid;
		  border-bottom:0px #CCD solid;
		  border-radius:7px 8px 0px 0px;
		  border-style: outset ;
		  box-shadow:  -2px -3px 3px -1px #777;
		  
        }
        .sys-tabs-body
		{
		  position: relative;
		  top: 0px;
		  background-color: #FFFFFF;
          padding:5px;
		  box-shadow:  0px 0px 5px 1px #445;
		  border-style:outset ;
          border-top:   0px #CCD solid;
		  border-right: 1px #CCD solid;
		  border-left:  1px #CCD solid;
		  border-bottom:1px #CCD solid;
		  border-radius:5px;
		}
        .sys-tabs-selected
		{
		  position: relative;
		  top:0px;
		  z-index:10;
		  font-weight:bold;
		  color:black;
		}
        .sys-tabs-unselected
		{
		  position: relative;
		  top:3px;
		  z-index:0;
		  font-weight:normal;
		  color:black;
		}
		
		
        .sys-tabs-baseline
		{
		  position: relative;
		  background-color: #FFFFFF;
          width: 100%;
          height: 7px;
		  box-shadow:  1px -3px 3px 0px grey;
		}
		.sys-tabs-box
		{
		  background-color: #fff;
		  position: relative;
          padding:13px;
		  text-align: center;
		  height: auto;
          width: 100% -4px;
		  border:2px #CCD solid;
		  border-radius:0px;
		  border-style:outset ;
		  box-shadow:  1px 0px 5px grey;
		}

		.sys-grid-field-name_OLD
		{
		  color:#aab;
		  font-size:12px;
		  font-weight:bold;
		}
		.sys-grid-field-name
		{
		  color:#445;
		  font-size:12px;
		  font-weight:bold;
		}

		.sys-grid-field-surname_OLD
		{
		  color:#59F;
		  font-size:14px;
		  font-weight:bold;
		}
		.sys-grid-field-surname
		{
		  color:#36D;
		  font-size:14px;
		  font-weight:bold;
		}

		
		.sys-grid-field-organization
		{
		  color:#287233;
		  font-size:13px;
		  font-weight:bold;
		}

		.sys-grid-field-label
		{
		  color:#36F;
		  font-size:13px;
		  font-weight:bold;
		}

		.sys-grid-field-title
		{
		  color:#123;
		  font-size:12px;
		  font-style:italic;
		}

		.sys-grid-field-undef
		{
		  color:#E12;
		  font-size:12px;
		  font-weight:bold;
		}
		
.sys_button_arrow
{
	position: relative;
	
	-webkit-border-radius: 13px;
	-moz-border-radius: 13px;
	border-radius: 10px 10px 10px 0;
	border: 1px solid #6DB;
	
	-webkit-box-shadow: 1px 1px 10px #006400;
	-moz-box-shadow: 1px 1px 10px #006400;
	box-shadow: 1px 1px 5px #007700;
	
	background-color: #4C8;
	padding: 10px;
	
	color: #006400;
	font-family: Arial,Verdana, Geneva, sans-serif;
	font-size: 14pt;
	font-weight: bold;
	text-shadow: 0px 0px 2px #224;
	text-align: center;
	outline: 0px solid #FFFFFF;

	transition: all 0.5s;
	-webkit-transition-duration: 0.4s; /* Safari */
	transition-duration: 0.4s;

	cursor: pointer;
	text-decoration: none;
	overflow: hidden;
}

.sys_button_arrow:hover
{
  color: #FFF;
  border-radius: 10px 10px 10px 10px;
  text-shadow: 0px 0px 4px #001;
}

.sys_button_arrow:active 
{
  transform: translateY(1px);
}

.sys_button_sample 
{
  border-radius: 4px;
  background-color: #f4511e;
  border: none;
  color: #FFFFFF;
  text-align: center;
  font-size: 28px;
  padding: 20px;
  width: 200px;
  margin: 5px;
}

.sys_button_arrow span
{
  cursor:   pointer;
  display:  inline-block;
  position: relative;
  transition: 0.5s;
}

.sys_button_arrow span:after
{
  content: '\00bb';
  position: absolute;
  opacity: 0;
  top: 0;
  right: -20px;
  transition: 0.5s;
}


.sys_button_arrow:hover span {
  padding-right: 25px;
}

.sys_button_arrow:hover span:after {
  opacity: 1;
  right: 0;
}

.sys_button_arrow:active:after {
  padding: 0;
  margin: 0;
  opacity: 1;
  transition: 0s
}
.sys_button_arrow:after
{
  content: "";
  background: #90EE90;
  display: block;
  position: absolute;
  padding-top: 300%;
  padding-left: 350%;
  margin-left: -20px!important;
  margin-top: -120%;
  opacity: 0;
  transition: all 0.8s
}
.sys_button_blue:after 
{
  background: #36D;
}

.sys_button_blue
 {
	-webkit-box-shadow: 1px 1px 10px #002255;
	-moz-box-shadow: 1px 1px 10px #002255;
	box-shadow: 1px 1px 5px #003388;
	border: 1px solid #36E;
	background-color: #69E;
	color: #fff;
	outline: 0px solid #FFFFFF;
    padding: 5px;

}
.sys_button_grey
 {
	-webkit-box-shadow: 1px 1px 10px #002255;
	-moz-box-shadow: 1px 1px 10px #002255;
	box-shadow: 1px 1px 5px #005533;
	
	border: 1px solid #cde;
	background-color: #bdc;
	
	color: #fff;
	outline: 0px solid #FFFFFF;
    padding: 5px;
}
.sys_button_red
 {
	-webkit-box-shadow: 1px 1px 10px #552200;
	-moz-box-shadow: 1px 1px 10px #552200;
	box-shadow: 1px 1px 5px #553300;
	border: 1px solid #F71;
	background-color: #D50;
	color: #fff;
	outline: 0px solid #FFFFFF;
    padding: 5px;
}

.sys_button_white
 {
	-webkit-box-shadow: 1px 1px 10px #556 !important;
	-moz-box-shadow: 1px 1px 10px #556 !important;
	box-shadow: 1px 1px 5px #556 !important;
	border: 1px solid #cde;
	background-color: #FFF !important;
	color: #100;
	outline: 0px solid #FFFFFF ;
    padding: 5px;
}

.sys_button_icon_highlighting:hover > img
 {
	-webkit-filter: drop-shadow(1px 1px 3px #FC3) !important;
	-moz-filter:    drop-shadow(1px 1px 3px #FC3) !important;
	filter:         drop-shadow(1px 1px 3px #FC3) !important;
}

.sys_button_cyan:after 
{
  background: #36D;
}
.sys_button_cyan
 {
	-webkit-box-shadow: 1px 1px 10px #002255;
	-moz-box-shadow: 1px 1px 10px #002255;
	box-shadow: 1px 1px 5px #003388;
	border: 1px solid #8CF;
	background-color: #7BF;
	color: #fff;
	outline: 0px solid #FFFFFF;
    padding: 7px;

}
.sys_button_docking_left
 {
	border-radius: 12px 10px 12px  0;
	float:left;
}

.sys_button_docking_right
 {
	border-radius: 12px 10px  0 12px;
	float:right;
}
		
.sys_input_text_expand_left
{
	width:78px;
	height:17px;
	position: relative;
	border-radius: 2px 2px 2px 2px;
	transition: all 0.5s;
	-webkit-transition-duration: 0.4s; /* Safari */
	transition-duration: 0.4s;
}

.sys_input_text_expand_left:focus 
{
  z-index: 1000;
  background: #FFFFDD;
  margin-left: -56px!important;
  transition: all 1s;
  
  width:134px;
}

.sys_input_text_expand_left:after 
{
  z-index: 1000;
  background: #FFFFFF;
  margin-left: 0px!important;
  
  width:78px;
}

/*********************************************************/


	.login_tab
	{
		border-radius: 10px !important;
		border:         2px solid #ddeeff !important;
		padding:        5px !important;
		box-shadow: 1px 1px 2px #003388;
	}
	
	.login_cap
	{
		border-radius:    7px 7px 2px 2px !important;
		background-color: #ddeeff !important;
		color: 			  var( --color_navy ) !important;
		padding: 		  7px     !important;
		font-size: 		 15px     !important;
		font-variant:     small-caps;
	}
	
	.login_label
	{
		color:   		var( --color_navy );
	}
	
	.login_text
	{
		border:         1px solid #BCD !important;
		border-radius:  3px !important;
		padding:        3px !important;
	}
	
	.login_butt
	{
			border-radius: 5px 5px 5px 0;
			transition: all 0.5s;
			transition-duration: 0.4s;
			cursor:  pointer;
			overflow: hidden;
			border: 1px solid #8CF;
			background-color: #7BF;
			outline: 0px solid #FFFFFF;
			padding: 3px;
			width:  80px;

			 box-shadow: 1px 1px 2px #003388;

			text-shadow: 0px 0px 3px #224;
			color: #fff;
			font-family: Arial,Verdana, Geneva, sans-serif;
			font-size: 15px;
			font-weight: bold;
			text-align: center;
			letter-spacing: 2px;
	}
	
/*********************************************************/

			.dba_contents_menu
			{
				
				margin-left: 0px;
			}
			.dba_contents_menu_sub
			{
				//border-bottom: 1px #aaa dotted;
				
				margin: 0px;
				padding: 0px;
			}
			.dba_contents_menu td
			{
				//border-bottom: 1px #aaa dotted;
			}
			.dba_contents_submenu td
			{
				font-weight:bold;
				font-size:11px;
				color:#375;
			}
			
			.dba_contents_container
			{
				position:relative;
				width:98%;
				height:82px;
				line-height: 10px;
				padding: 0px;
				paddin-bottom:1px;
				margin-bottom:1px;
				border-bottom:1px dotted #9ac2e6;
				
			}
			
			.dba_contents_container_tree
			{
				position:relative;
				width:100%;
				height:auto;
				paddin-left:2px;
				paddin-bottom:1px;
				margin-bottom:1px;
				border-top: 1px #9ac2e6 solid;
				
			}
			
			.dba_contents_container_subtree
			{
				position:relative;
				width:100%;
				height:auto;
				paddin-left:2px;
				paddin-bottom:1px;
				margin-bottom:1px;
				//border-bottom:1px dotted #9ac2e6;
				
			}
			.dba_contents_container_sub, .dba_contents_container_sub_last
			{
				position:relative;
				width:98%;
				height:78px;
				padding: 0px;
				
				paddin-bottom:1px;
				margin-bottom:1px;
				border-top:1px dotted #ddd;
				
			}
			
			.dba_contents_container_sub
			{
				background-image: url("https://hyperapps.it/res/tree_wire_I.png");
				background-repeat: no-repeat;
				background-position: left bottom;
			}
			
			.dba_contents_buttons_add_form_subgroup
			{
				position:relative;
				float:right;
				z-index:1000;
				margin-right:4px;
			}
			
			.dba_contents_buttons_add_form_group
			{
				position:relative;
				float:right;
				z-index:1000;
				margin-right:12px;
			}
			
			.dba_contents_menu_title
			{
				font-weight:bold;
				font-size:13px;
				color:#357;
			}
			.dba_contents_menu_label,.dba_contents_menu_label_disabled
			{
				position:relative;
				display:block;
				width:auto;
				padding-left:4px;
				margin-bottom:2px;
				font-weight:bold;
				font-size:12px;
			}
			
			.dba_contents_menu_label_min
			{
				position:relative;
				display:block;
				width:auto;
				padding-left:4px;
				margin-bottom:2px;
				font-weight:normal;
				font-size:11px;
				font-style:none;
				text-decoration:none;
				//text-decoration:underline;
				color:#79a;
			}
			.dba_contents_menu_label
			{
				text-decoration:none;
				//text-decoration:underline;
				color:#37D;
			}
			
			.dba_contents_submenu_label
			{
				text-decoration:none;
				//text-decoration:underline;
				color:#379;
				font-weight:bold;
				font-size:11px;
			}
			.dba_contents_menu_label_disabled
			{
				text-decoration:none;
				color:#aaa;
			}
			
			.dba_contents_submenu_label_disabled
			{
				text-decoration:none;
				color:#aaa;
				font-weight:bold;
				font-size:11px;
			}
			.dba_contents_icon_label
			{
				position:relative;
				display:inline;
				float:left;
				z-index:1000;
				//border:1px solid blue;
			}
			.dba_contents_icon
			{
				position:relative;
				display:inline;
				float:right;
				//border:1px solid blue;
			}
			
			.dba_forms_icon_label
			{
				position:relative;
				display:inline;
				float:left;
				//border:1px solid blue;
			}
			.dba_forms_icon
			{
				position:relative;
				display:inline;
				float:right;
				//border:1px solid blue;
			}
			
			.dba_contents_menu_descr
			{
				position:relative;
				display:inline;
				font-weight:normal;
				font-size:9px;
				color:#678;
				//border:1px solid red;
				margin-left:3px;
			}
			.dba_contents_menu_sublabel
			{
				font-weight:bold;
				font-size:11px;
				color:#123;
			}
			.dba_calendar
			{
				text-align:center;
				border-left:  1px #bbb solid;
				border-top: 1px #bbb solid;
				font-size:10px;
			}
			.dba_calendar td
			{
				text-align:center;
				border-right:  1px #bbb solid;
				border-bottom: 1px #bbb solid;
				font-size:10px;
			}
			.dba_calendar_header td
			{
				font-weight:bold;
			}
			.dba_calendar_weekdays td
			{
				font-weight:bold;
			}
			.search_replace_frame
			{
				  padding:3px;
				  height: auto;
				  margin-right:3px;
				  font-family:Arial;
				  font-size:11px;
				  border:1px #CCD solid;
				  border-radius:7px;
				  box-shadow:  inset 0 0 5px #445566;
				  background-color: #9AC2E6;
				  text-align: center;
				  justify-content: center;
			
			}
			
			.search_find_cell
			{
				
			}
			.search_replace_cell
			{
				font-weight:bold;
				color:#EE2244;
			}
		 
		    .widget_movable
			{
			}
		 
		 
		 
  .form_title_row 
   {
	  background-color:#7bf; 
	  text-align:center; 
	  color:#fff; 
	  font-weight:bold;
   }

   .form_title_row, .form_title_row_void, .form_title_row_disabled
   {
      background-color:#7bf; 
      text-align:center; 
      color:#fff; 
      font-size:18px; 
	  font-weight:bold;
	  
	  text-shadow: #236 0 0 3px;

	  border-left:2px solid #c6def4;
	  border-top:2px solid #CDF;
	  
	  border-right:2px solid #48A;
	  border-bottom:2px solid #48A;
   }

   .form_title_row_disabled 
   {
      background-color:#ddd; 
   }

   .form_title_row_void 
   {
      background-color:#bef; 
	  border-right:2px solid #5AD;
	  border-bottom:2px solid #5AD;
   }

   .label_readonly 
   {
      text-align:center; 
      color:#25D; 
      font-size:15px; 
	  font-weight:bold;
   }

   .label_readonly_2
   {
      text-align:center; 
      color:#000; 
      font-size:15px; 
	  font-weight:bold;
   }

   .radio_option_sel .radio_label
   {
      font-size:14px; 
	  font-weight:bold;
   }
   
   .radio_option_unsel .radio_label
   {
      color:#000; 
      font-size:14px; 
	  font-weight:normal;
   }
   
   .radio_option_true
   {
      color:#2B5; 
   }
   
   .radio_option_false
   {
      color:#D13; 
   }

   .radio_option_unsel 
   {
      color:#000;
   }
   

   .warningbar 
   {
      color:#fff;
      background-color:#9AC2E6;
	  padding: 3px;
   }
   
  .form_field_label
   {
	color:black;
	font-weight: bold;   
   }
   
   .sys_carved_grey_box 
     {
	   background-color:bcd#;
	   border-left: 1px solid #789;
	   border-top: 1px solid #789;
	   border-right: 1px solid #cde;
	   border-bottom: 1px solid #cde;
   }
   
   
      .ui-datepicker-trigger
	  {
	     width:36px;
		 vertical-align:middle;
		 cursor:pointer;
	  }
	  
	  .sys_date_input_error
	  {
	     outline: 2px dashed red  !important;
	     outline-offset: 2px  !important;
	     font-weight: bold !important;
	     color: #E23 !important;
		 
		 animation-delay: 2s;
	  }
	  
	  
	  .sys_date_ok
	  {
	     outline:1px solid #7A3  !important;
	     border: 1px solid #7A3  !important;
	     outline-offset: 0px  !important;
	     font-weight: bold !important;
	     color: #7A3 !important;
		 
		 animation-delay: 2s;
	  }
	  
	  .sys_date_tip_ok:after
	  {
		background: #7A3 !important;
	  }
	  
	  
	  .ui-tooltip, 
	  .sys_date_tip_error:after,
	  .sys_date_tip_ok:after
	  {
		background: red;
		border: 2px solid white;
	  }
	  
	  .ui-tooltip 
	  {
		padding: 10px 20px;
		color: white;
		border-radius: 20px;
		font: bold 14px "Helvetica Neue", Sans-Serif;
		text-transform: uppercase;
		box-shadow: 0 0 7px black;
	  }
	  
	  .sys_date_tip_error ,
	  .sys_date_tip_ok
	  {
		width: 70px;
		height: 16px;
		overflow: hidden;
		position: absolute;
		left: 50%;
		margin-left: -35px;
		bottom: -16px;
		
		opacity:1 !important;
	  }
	  
	  .sys_tooltip_class
	    { 
			opacity: 1 !important; 
			filter:  alpha(opacity=100) !important; 
	  }
	  
	  .sys_date_tip_error.top,
	  .sys_date_tip_ok.top	  
	  {
		top: -16px;
		bottom: auto;
	  }
	  
	  .sys_date_tip_error.left,
	  .sys_date_tip_ok.left
	  {
		left: 20%;
	  }
	  
	  .sys_date_tip_error:after,
	  .sys_date_tip_ok:after
	  {
		content: "";
		position: absolute;
		left: 20px;
		top: -20px;
		width: 25px;
		height: 25px;
		box-shadow: 6px 5px 9px -9px black;
		-webkit-transform: rotate(45deg);
		-ms-transform: rotate(45deg);
		transform: rotate(45deg);
	  }
	  
	  .sys_date_tip_error.top:after ,
	  .sys_date_tip_ok.top:after 
	  {
		bottom: -20px;
		top: auto;
	  }
	  
	  
     .ui-datepicker-trigger
	  {
	     width:36px !important;
		 vertical-align:middle !important;
		 cursor:pointer !important;
	 }
	  
	 input.sys_validation_error_msg 
	  {
	    border: 1px dashed transparent  !important;
	    outline:2px dashed red  !important;
	    outline-offset: -1px  !important;
     }
	  
	 .sys_validation_error_msg,
	 .sys_validation_error_msg input
	  {
	    font-weight:bold !important;	  
	    color:#E23 !important;  
     }
	  
	  
	  
	  
	  /*********************************
	     DATA GRID
	  **********************************/
	  
	  
	  
		.grid_frame_auto
		{
		  width:  300px; 
		  border:  0px solid black;
		  
		  padding:  1px;
		}

		.grid_frame_fixed
		{
		  width:  300px;  
		  height:  auto;
		  border:  0px solid black;
		  
		  padding:  1px;
		}

		.grid_frame
		{
		  width:  auto;  
		  height:  auto;
		  border:  0px solid black;
		  
		  padding:  1px;
		}

		.grid_height_30
		{
		  height:  30px;
		}

		.grid_frame .grid_container
		{
		  width:  100%;   
		  height:  100%;  
		}

		.grid_container
		{
		  border:  0px solid red;
		  
		  display:flex;
		  flex-flow: column;
		  flex-wrap:  nowrap;
		  justify-content:  space-between;
		}

		.grid_row
		{
		  border:  0px solid blue;
		  
		  display:flex;
		  flex-flow: row;
		  flex-wrap:  nowrap;
		  justify-content:  space-between;
		  align-items:   baseline;
		  align-content: stretch;
		  flex-grow: 1;
		  padding:  1px;
		}

		.grid_cell
		{
		  border:  0px solid green;
		  align-content: stretch;
		  flex-grow: 1;
		  padding:  1px;
		  
		}		
		
		.grid_cell_single
		{
			width:50%;
			text-align:left;
			margin-left:10px;
		}
		
		.grid_cell_half_width, grid_cell_1, grid_cell_2
		{
			width:50%;
		}
		.grid_cell_1
		{
			text-align:right;
		}
		.grid_cell_2
		{
			width:50%;
			text-align:left;
		}
		
	  
		.sys_grid_cell_editable:focus, .sys_grid_cell_editable:focus-within
		{
			outline: lightgrey dashed 2px;
			outline-radius: 3px;
		}
		
		
		.sys_grid_cell_editable 
		{
			color: #39E;
			padding: 3px;
		}
		
		
		.sys_grid_row:hover, .sys_grid_row:hover .list_row_0 
		{
			background-color: #DEF;
		}
		
	  /*********************************
	     DATA GRID: rilievo
	  **********************************/
	  
		
		
		.sys_grid_frame_bevel  *
		{
		   color:#123;
		   border-color:lightgrey;
		}
		
		.sys_grid_frame_bevel  .sys_grid_search_box table
		{
		   background-color:#FFF;
		}
		
		.sys_grid_frame_bevel  .sys_grid_container
		{
			display:flex;
			flex-direction:column;
			justify-content:center;
			width:100%;
		}
		
		.sys_grid_frame_bevel  .sys_grid
		{
			width:        auto;
			margin-left:  10px;
			margin-top:   10px;
			margin-bottom:10px;
			margin-right: 10px;
			
			padding-top:5px;
			padding-bottom:10px;
			
			box-shadow: 0 0.46875rem 2.1875rem rgb(4 9 20 / 3%), 0 0.9375rem 1.40625rem rgb(4 9 20 / 3%), 0 0.25rem 0.53125rem rgb(4 9 20 / 5%), 0 0.125rem 0.1875rem rgb(4 9 20 / 3%);
			
			position: relative;
			display: flex;
			flex-direction: column;
			min-width: 0;
			word-wrap: break-word;
			background-color: #fff;
			background-clip: border-box;
			border: 1px solid rgba(26,54,126,0.125);
			border-radius: .25rem;
		}
		
		.sys_grid_frame_bevel  .sys_grid_cell_editable:focus, 
		.sys_grid_frame_bevel  .sys_grid_cell_editable:focus-within
		{
			outline: lightgrey dashed 2px;
			outline-radius: 3px;
		}
		
		
		.sys_grid_frame_bevel  .sys_grid_cell_editable 
		{
			color: #39E;
			padding: 3px;
		}
		
		
		.sys_grid_frame_bevel  .sys_grid_row:hover, 
		.sys_grid_frame_bevel  .sys_grid_row:hover .list_row_0 
		{
			background-color: #DEF;
		}
		
			
		
		@media screen and (max-width: calc(740px)) 
		{  
			.sys_grid_frame_bevel  .sys_grid
			{
				box-shadow: 0;
				border: 0;
			}
				  
		}